import Graphics.X11.ExtraTypes.XF86
import XMonad
import XMonad.Config.Desktop
import XMonad.Config.Azerty
import XMonad.Hooks.DynamicLog
import XMonad.Util.EZConfig

-- # Ligne principale

main = xmonad =<< xmobar myConfig
--main = xmonad =<< statusBar myBar myPP toggleStrutsKey myConfig

-- # Réglages de xmonad 

myConfig = azertyConfig
    { terminal    = "sakura"
    , modMask     = mod4Mask
    , borderWidth = 2
    , workspaces  = myWorkspaces
    } `additionalKeys` myKeys `removeKeys` unusefulKeys

myWorkspaces = ["1:mail","2:chat","3:web","4","5","6","7","8", "9:system"]

myKeys = [ ((0, xF86XK_MonBrightnessUp), spawn "xbacklight +10")         -- +brightness
         , ((0, xF86XK_MonBrightnessDown), spawn "xbacklight -10")       -- -brightness
         , ((0, xF86XK_AudioRaiseVolume), spawn "amixer set Master 3%+") -- +volume
         , ((0, xF86XK_AudioLowerVolume), spawn "amixer set Master 3%-") -- -volume
         , ((0, xF86XK_AudioMute), spawn "amixer set Master toggle")     -- mute volume
         , ((0, xF86XK_AudioPlay), spawn "cmus-remote -u")               -- cmus play/stop
         , ((0, xF86XK_AudioPrev), spawn "cmus-remote -r")               -- cmus next
         , ((0, xF86XK_AudioNext), spawn "cmus-remote -n")               -- cmus previous
         ]

unusefulKeys = []

-- # Réglages de xmobar

myBar = "xmobar"

-- Custom PP, configure it as you like. It determines what is being written to the bar.
myPP = xmobarPP
    { ppCurrent = xmobarColor "black" "yellow" . wrap " " " "
    }

-- Key binding to toggle the gap for the bar.
toggleStrutsKey XConfig {XMonad.modMask = modMask} = (modMask, xK_b)

