{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

mkIf profiles.isDesktop {

# Paquets
environment.systemPackages = with pkgs; [
    # Clients Internet

    ## Navigateur
    chromium
    firefox

    ## Réseaux sociaux
    python27Packages.turses           # client twitter en ncurse
    python27Packages.rainbowstream    # client twitter en console
    rtv                               # client reddit en console

    ## Mail & Discussion (texte, audio)
    clawsMail
    hexchat
    kde5.quasselClient
    mumble
    mutt
    pidgin
    thunderbird

    # Transfert de fichier
    filezilla
    transmission_gtk
    transmission_remote_gtk
  ];
}
