{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

mkIf true {
#mkIf profiles.isDesktop {

  # Paquets
  environment.systemPackages = with pkgs; [
    # Outils réseau
    iperf         # outil de mesure de la qualité du réseau
    iptraf-ng     # outil de mesure de la qualité du réseau
    nload         # affichage de statisques d'utilisation instantannées du réseau
    telnet

    ## Diagnostic
    arp-scan
    #wireshark
    whois
  ];

  networking.firewall = {
    allowedTCPPorts = [
      5201 # iperf
    ];
    allowedUDPPorts = [
      5201 # iperf
    ];
  };
}
